Hooks:PreHook(BaseNetworkSession, 'on_peer_loading', 'CEV#28900_BaseNetworkSession_on_peer_loading',
function(self, peer, state)
	if CEV._enabled and state and Global.game_settings.level_id ~= 'chill' then
		for unit_id, van in pairs(CEV.escape_vans) do
			if CEV.escape_vehicles[unit_id]:enabled() and not van.data.state_synched then
				for index = 0, van.unit:num_bodies() - 1 do
					van.unit:body(index):set_enabled(true)
				end
			end
		end
	end
end)

Hooks:PostHook(BaseNetworkSession, 'on_peer_sync_complete', 'CEV#28900_BaseNetworkSession_on_peer_sync_complete',
function(self)
	if CEV._enabled and Global.game_settings.level_id ~= 'chill' then
		for unit_id, van in pairs(CEV.escape_vans) do
			if CEV.escape_vehicles[unit_id]:enabled() and not van.data.state_synched then
				for index = 0, van.unit:num_bodies() - 1 do
					van.unit:body(index):set_enabled(false)
				end
			end
		end
	end
end)