Hooks:PostHook(CustomSafehouseTweakData, 'init', 'CEV#28900_CustomSafeHouseTweakData_init',
function(self)
	if #self.prices.rooms == 3 then
		table.insert(self.prices.rooms, 36)
	end
end)

Hooks:PostHook(CustomSafehouseTweakData, '_init_safehouse_rooms', 'CEV#28900_CustomSafeHouseTweakData__init_safehouse_rooms',
function(self)
	for _, room in ipairs(self.rooms) do
		if room.room_id == 'american' then
			room.tier_max = 4
			table.insert(room.images, 'guis/dlcs/chill/textures/pd2/rooms/safehouse_room_preview_houston_lvl4')
		end
	end
end)

Hooks:PostHook(CustomSafehouseTweakData, '_init_map', 'CEV#28900_CustomSafeHouseTweakData__init_map',
function(self)
	if #self.map.frame_texture == 3 then
		table.insert(self.map.frame_texture, 'guis/dlcs/chill/textures/pd2/character_icon/safehouse_character_lvl_indicator4')
	end
end)