Hooks:PostHook(PlayerManager, 'update', 'CEV#28900_PlayerManager_update',
function(self)
	if CEV._enabled and CEV.escape_vehicles and table.size(CEV.escape_vehicles) > 0 and CEV.mission_specs.has_anim then
		for unit_id, van in pairs(CEV.escape_vans) do
			if van.data.anim_running and van.unit:num_bodies() then
				local vehicle = CEV.vehicle_specs.vehicle
				local escape_vehicle = CEV.escape_vehicles[unit_id]
				local body = van.unit:body(0)
				local rot = body:rotation() * vehicle.rotation
				local pos = body:position() + (vehicle.position):rotate_with(rot) + Vector3(0,0,-40)
				escape_vehicle:set_rotation(rot)
				escape_vehicle:set_position(pos)
			end
		end
	end
end)