Hooks:PostHook(VanSkinExt, 'init', 'CEV#28900_VanSkinExt_init',
function(self, unit)
	CEV:log('found van', unit:id())
	if CEV._enabled then
		if unit:damage() and unit:damage()._unit_element and unit:damage()._unit_element._sequence_elements then
			local has_material = false
			for seq_el, _ in pairs(unit:damage()._unit_element._sequence_elements) do
				if not seq_el:find('mat') then
					has_material = true
				end
			end
			if has_material then
				local unit_id = unit:id()
				CEV.escape_vans[unit_id] = {unit=unit,data={}}
				CEV:log('added van', unit_id)
				local van = CEV.escape_vans[unit_id]
				if Global.game_settings.level_id == 'chill' then
					local vehicle = CEV.vehicle_specs.vehicle
					local body = van.unit:body(0)
					local rot = body:rotation() * vehicle.rotation * Rotation(25,0,0)
					local pos = body:position() + (vehicle.position):rotate_with(rot) + Vector3(-980,0,-40)
					local escape_vehicle = World:spawn_unit(Idstring(vehicle.path), pos, rot)
					if escape_vehicle:vehicle_driving() then
						escape_vehicle:vehicle_driving()._tweak_data.name = nil
						escape_vehicle:vehicle_driving()._current_state:disable_interactions()
					end
				else
					if van.unit:damage():has_sequence('state_show') then
						van.unit:damage():run_sequence_simple('state_show')
						van.data.state_synched = true
					end
					if van.unit:damage():has_sequence('state_vis_show') then
						van.unit:damage():run_sequence_simple('state_vis_show')
						van.data.state_synched = true
					end
					CEV:set_visibility_of_van(unit_id, false)
					CEV:spawn_escape_vehicle_on_van(unit_id)
				end
			end
		end
	end
end)