CEV._debug = false

CEV.vehicles = {
	['Default'] = {},
	['Armored SUV'] = {
		package = 'cev/armored_suv',
		path = 'units/pd2_dlc_pex/vehicles/fps_vehicle_suv_pex/fps_vehicle_suv_pex',
		position = Vector3(2,25,0),
		rotation = Rotation(180,0,0),
		anims = {
			open_both = 'anim_open_trunk',
			close_both = 'anim_close_trunk'
		}
	},
	['Box Truck'] = {
		package = 'cev/box_truck',
		path = 'units/pd2_dlc_jolly/vehicles/fps_vehicle_box_truck_1/fps_vehicle_box_truck_1',
		position = Vector3(2,25,0),
		rotation = Rotation(180,0,0)
	},
	['Cadillac'] = {
		package = 'cev/cadillac',
		path = 'units/pd2_dlc_rvd/vehicles/rvd_vehicle_car_cadillac/rvd_vehicle_cadillac',
		position = Vector3(-1,-35,0),
		rotation = Rotation(0,0,0),
		anims = {
			open_both = 'anim_trunk'
		}
	},
	['Convertible'] = {
		package = 'cev/convertible',
		path = 'units/pd2_dlc_friend/vehicles/sfm_vehicle_car_cadillac/sfm_vehicle_cadillac',
		position = Vector3(1,0,0),
		rotation = Rotation(180,0,0)
	},
	['Delorean'] = {
		package = 'cev/delorean',
		path = 'units/pd2_dlc_miami/vehicles/anim_vehicle_car_delorean/anim_vehicle_car_delorean',
		position = Vector3(1,0,0),
		rotation = Rotation(180,0,0),
		anims = {
			open_both = 'anim_trunk_open',
			close_both = 'anim_trunk_close'
		}
	},
	['Falcogini'] = {
		package = 'cev/falcogini',
		path = 'units/pd2_dlc_cage/vehicles/fps_vehicle_falcogini_1/fps_vehicle_falcogini_1',
		position = Vector3(1,0,0),
		rotation = Rotation(180,0,0),
		colors = {'black', 'red', 'green', 'blue', 'brown'}
	},
	['FBI SUV'] = {
		package = 'cev/fbi_suv',
		path = 'units/payday2/vehicles/str_vehicle_car_suv_fbi/str_vehicle_car_suv_fbi',
		position = Vector3(2,20,0),
		rotation = Rotation(180,0,0),
		anims = {
			open_both = 'anim_trunk_open',
			close_both = 'anim_trunk_close'
		}
	},
	['Garbage Truck'] = {
		package = 'cev/garbage_truck',
		path = 'units/vehicles/animated_cars/garbage_truck/garbage_truck_animated',
		position = Vector3(2140,-2414,0),
		rotation = Rotation(270,0,0)
	},
	['GenSec Transport'] = {
		package = 'cev/gensec_transport',
		path = 'units/pd2_dlc1/vehicles/str_vehicle_truck_gensec_transport/str_vehicle_truck_gensec_transport',
		position = Vector3(0,-110,0),
		rotation = Rotation(0,0,0),
		anims = {
			open_both = 'open_back_doors',
			close_both = 'close_back_doors'
		}
	},
	['Hacker Van'] = {
		package = 'cev/hacker_van',
		path = 'units/pd2_dlc_joy/props/joy_prop_safehouse_hacker_van/joy_prop_safehouse_hacker_van',
		position = Vector3(-1,-80,0),
		rotation = Rotation(0,0,0),
		anims = {
			open_both = 'anim_open_doors_rear',
			close_both = 'anim_close_doors_rear'
		}
	},
	['Humvee'] = {
		package = 'cev/humvee',
		path = 'units/pd2_dlc_vit/vehicles/vit_vehicle_humvee',
		position = Vector3(-1,-10,0),
		rotation = Rotation(0,0,0)
	},
	['Longfellow'] = {
		package = 'cev/longfellow',
		path = 'units/pd2_dlc_shoutout_raid/vehicles/fps_vehicle_muscle_1/fps_vehicle_muscle_1',
		position = Vector3(1,10,0),
		rotation = Rotation(180,0,0),
		anims = {
			open_both = 'anim_trunk_open',
			close_both = 'anim_trunk_close'
		}
	},
	['Pickup'] = {
		package = 'cev/pickup',
		path = 'units/payday2/vehicles/str_vehicle_pickup_sportcab_anim_nightclub/str_vehicle_pickup_sportcab_anim_nightclub',
		position = Vector3(-3862,-1065,0),
		rotation = Rotation(0,0,0)
	},
	['Sports Car'] = {
		package = 'cev/sports_car',
		path = 'units/payday2/vehicles/str_vehicle_car_sport/str_vehicle_car_sport2',
		position = Vector3(-10,0,0),
		rotation = Rotation(180,0,0)
	},
	['SUV'] = {
		package = 'cev/suv',
		path = 'units/test/payday2/tst_vehicle_suburban_animated/tst_vehicle_suburban_animated',
		position = Vector3(1465,4958,0),
		rotation = Rotation(270,0,0),
		colors = {'black', 'red', 'brown'}
	},
	['SWAT Van'] = {
		package = 'cev/swat_van',
		path = 'units/payday2/vehicles/str_vehicle_swat_van/str_vehicle_swat_van',
		position = Vector3(-10,80,0),
		rotation = Rotation(180,0,0),
		anims = {
			open_left = 'door_open_left_back',
			open_right = 'door_open_right_back'
		}
	},
	['Truck'] = {
		package = 'cev/truck',
		path = 'units/payday2/vehicles/str_vehicle_truck_boxvan_eday/str_vehicle_truck_boxvan_eday',
		position = Vector3(-2,-200,0),
		rotation = Rotation(0,0,0),
		anims = {
			open_both = 'open_door',
			close_both = 'close_door'
		},
		colors = {'white', 'red', 'green', 'blue', 'yellow'}
	}
}

CEV.missions = {
	--safehouse
	chill = {match = true},
	--bain
	gallery = {has_loot = true},
	branchbank = {has_loot = true},
	cage = {has_equip = true},
	rat = {has_loot = true, has_anim = true},
	family = {has_loot = true, has_anim = true},
	roberts = {has_loot = true, has_anim = true},
	jewelry_store = {has_loot = true, has_anim = true},
	rvd = {has_loot = true, has_anim = true},
	kosugi = {has_loot = true},
	arena = {has_anim = true},
	arm_ = {has_loot = true, has_anim = true},
	--classics
	red2 = {has_anim = true},
	--events
	haunted = {has_loot = true},
	--hector
	firestarter_1 = {has_loot = true},
	firestarter_2 = {has_loot = true},
	alex_1 = {has_loot = true, has_anim = true},
	alex_2 = {has_loot = true},
	--jimmy
	dark = {has_loot = true, has_anim = true},
	--jiu feng
	chas = {has_loot = true, has_anim = true},
	sand = {has_anim = true},
	--locke
	pbr = {match = true},
	mex = {has_anim = true, match = true},
	pex = {has_anim = true},
	brb = {has_anim = true},
	--butcher
	friend = {has_loot = true, has_anim = true},
	crojob2 = {has_loot = true, has_anim = true},
	--continental
	spa = {has_loot = true, has_anim = true},
	--dentist
	kenaz = {has_loot = true},
	hox_3 = {has_loot = true, has_anim = true},
	big = {has_loot = true, has_anim = true},
	mus = {has_loot = true, has_anim = true},
	--elephant
	election_day_2 = {has_loot = true},
	election_day_3 = {has_loot = true},
	framing_frame_1 = {has_loot = true},
	framing_frame_2 = {has_loot = true},
	--vlad
	fex = {has_loot = true, has_anim = true},
	four_stores = {has_loot = true, has_anim = true},
	nightclub = {has_loot = true},
	bex = {has_loot = true, has_anim = true},
	ukrainian_job = {has_loot = true, has_anim = true},
	--escapes
	escape_cafe = {has_loot = true, has_anim = true},
	escape_garage = {has_loot = true},
	escape_overpass = {has_loot = true, has_anim = true},
	escape_park = {has_loot = true, has_anim = true}
}

CEV.sequences = {
	van_doors_opening = {
		source = {'anim_doors_rear_both_open', 'anim_doors_rear_open', 'anim_door_open', 'anim_door_rear_left_open', 'anim_door_rear_right_open', 'state_door_rear_both_open', 'state_door_rear_right_open', 'state_door_rear_left_open'},
		custom = {'open_both', 'open_left', 'open_right'}
	},
	van_doors_closing = {
		source = {'anim_doors_rear_both_close', 'anim_doors_rear_close', 'anim_door_close', 'anim_door_rear_left_close', 'anim_door_rear_right_close'},
		custom = {'close_both'}
	},
	van_loot_added = {
		state_add_loot_bag = 'state_add_loot_bag',
		state_add_canvas_bag = 'state_add_loot_bag'
	}
}

function CEV:add_custom_settings()
	CEV.Options._storage['houston_workshop_tier_4'] = {_meta='option',type='bool',name='houston_workshop_tier_4',value=false}
	CEV.Options:Load()
end

Hooks:Add('LocalizationManagerPostInit', 'CEV#28900_LocalizationManager_init',
function(loc)
	loc:add_localized_strings({
		['menu_cs_help_houston_4'] = "After upgrading the garage it's time to upgrade the van. Houston purchased some brand new vehicles to take on your next mission.",
	})
end)

function CEV:log(_event, _unit_id, _var)
	if CEV._debug then
		local event = tostring(_event)
		local unit_id = ''
		local var = ''
		if _unit_id ~= nil then unit_id = ' > ' .. tostring(_unit_id) end
		if _var ~= nil then var = ' | ' .. tostring(_var) end
		log('[CEV] ' .. event  .. unit_id .. var)
	end
end