function ElementCustomSafehouseFilter:on_executed(instigator)
	if not self._values.enabled then
		return
	end
	local room_tier = nil
	if self:value("tier_check") == "current" then
		room_tier = managers.custom_safehouse:get_room_current_tier(self:value("room_id"))
	end
	if self:value("tier_check") == "highest_unlocked" then
		room_tier = managers.custom_safehouse:get_highest_tier_unlocked(self:value("room_id"))
	end
	room_tier = math.min(room_tier, 3)
	if self:_check_value(room_tier) then
		ElementCustomSafehouseFilter.super.on_executed(self, self._unit or instigator)
	end
end