Hooks:PostHook(ElementDisableUnit, 'on_executed', 'CEV#28900_ElementDisableUnit_on_executed',
function(self)
	if CEV._enabled then
		if Global.game_settings.level_id == 'chill' then return end
		for _, unit in ipairs(self._units) do
			if alive(unit) then
				local unit_id = unit:id()
				if table.has(CEV.escape_vans, unit_id) then
					CEV:set_visibility_of_escape_vehicle(unit_id, false)
				end
			end
		end
	end
end)