Hooks:PostHook(ElementEnableUnit, 'on_executed', 'CEV#28900_ElementEnableUnit_on_executed',
function(self)
	if CEV._enabled then
		for _, unit in ipairs(self._units) do
			if alive(unit) then
				local unit_id = unit:id()
				if Global.game_settings.level_id == 'chill' and unit:name() == Idstring('units/pd2_dlc_chill/props/chl_prop_muscle_1/chl_prop_muscle_1') then
					for index = 0, unit:num_bodies() - 1 do
						unit:body(index):set_enabled(false)
					end
					unit:set_rotation(unit:rotation() * Rotation(-19,0,0))
					unit:set_position(unit:position() + Vector3(1000,-300,0))
					for index = 0, unit:num_bodies() - 1 do
						unit:body(index):set_enabled(true)
					end
				else
					if table.has(CEV.escape_vans, unit_id) then
						CEV:set_visibility_of_escape_vehicle(unit_id, true)
					end
				end
			end
		end
	end
end)